package neo4j.model.dev;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.neo4j.ogm.annotation.GeneratedValue;
import org.neo4j.ogm.annotation.Id;
import org.neo4j.ogm.annotation.NodeEntity;

/**
 * @program: neo4j-demo
 * @description: 故障原因实体
 * @author: kane
 * @create: 2020-05-27 10:29
 **/
@NodeEntity
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Reason {
    @Id
    @GeneratedValue
    private Long id;
    private String name;
    private String abbreviation;
    private String solve;

    public Reason(String name, String abbreviation, String solve) {
        this.name = name;
        this.abbreviation = abbreviation;
        this.solve = solve;
    }
}
