package neo4j.relation.dev;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import neo4j.model.dev.Equipment;
import neo4j.model.dev.Location;
import org.neo4j.ogm.annotation.*;

/**
 * @program: neo4j-demo
 * @description:
 * @author: Jamie.shi
 * @create: 2020-05-27 10:43
 **/
@RelationshipEntity(type = "故障部位")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EquLoc {
    @Id
    @GeneratedValue
    private Long id;
    private String property;

    @StartNode
    private Equipment equipment;
    @EndNode
    private Location location;

    public EquLoc(Equipment equipment, Location location, String property) {
        this.equipment = equipment;
        this.location = location;
        this.property = property;
    }
}
