package neo4j.relation.dev;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import neo4j.model.dev.Location;
import neo4j.model.dev.Reason;
import org.neo4j.ogm.annotation.*;

/**
 * @program: neo4j-demo
 * @description:
 * @author: Jamie.shi
 * @create: 2020-05-27 10:43
 **/
@RelationshipEntity(type = "隐患故障点")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class LocRea {
    @Id
    @GeneratedValue
    private Long id;
    private String property;

    @StartNode
    private Location location;
    @EndNode
    private Reason reason;

    public LocRea(Location location, Reason reason, String property) {
        this.reason = reason;
        this.location = location;
        this.property = property;
    }
}
