package neo4j.relation.dev;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import neo4j.model.dev.Operation;
import neo4j.model.dev.Reason;
import org.neo4j.ogm.annotation.*;

/**
 * @program: neo4j-demo
 * @description: 发现故障原因 （ 故障操作 -> 故障原因）
 * @author: kane
 * @create: 2021-05-27 10:43
 **/
@RelationshipEntity(type = "发现故障原因")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OpeRea {
    @Id
    @GeneratedValue
    private Long id;
    private String property;

    @StartNode
    private Operation operation;
    @EndNode
    private Reason reason;

    public OpeRea(Operation operation, Reason reason, String property) {
        this.operation = operation;
        this.reason = reason;
        this.property = property;
    }
}
