package neo4j.relation.test;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import neo4j.model.test.Device;
import neo4j.model.test.MetroSystem;
import org.neo4j.ogm.annotation.*;

/**
 * @program: neo4j-demo
 * @description:
 * @author: Jamie.shi
 * @create: 2020-05-27 10:43
 **/
@RelationshipEntity
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SystemDevice {
    @Id
    @GeneratedValue
    private Long id;
    private String property;

    @StartNode
    private MetroSystem metroSystem;
    @EndNode
    private Device device;

    public SystemDevice(MetroSystem metroSystem, Device device, String property) {
        this.metroSystem = metroSystem;
        this.device = device;
        this.property = property;
    }
}
