package neo4j.repository.dev;

import neo4j.relation.dev.OpeRea;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;

/**
 * @program: neo4j-demo
 * @description:  发现故障原因 （ 故障操作 -> 故障原因）
 * @author: xuYJ
 * @create: 2021-03-17 15:40
 **/
public interface OpeReaRepository extends Neo4jRepository<OpeRea, Long> {
    /**
     * 为两个已经存在的节点添加关系
     */
    @Query("match(a),(b) where a.abbreviation = {0} and b.abbreviation = {1} "
            + " create p = (a)-[r: 发现故障原因 {property:{2}} ] -> (b) return p ")
    OpeRea createRes(String start, String end ,String res );

    /**
     * 查询关系是否存在
     */
    @Query("match p = (n)-[r:发现故障原因]- (b) where n.abbreviation={0} and b.abbreviation={1} return p")
    List<OpeRea> getRes(String ope, String rea );
}
