package neo4j.repository.dev;

import neo4j.relation.dev.PheOpe;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;

/**
 * @program: neo4j-demo
 * @description:  建议操作关系 （ 故障现象 -> 故障操作）
 * @author: xuYJ
 * @create: 2021-03-17 15:40
 **/
public interface PheOpeRepository extends Neo4jRepository<PheOpe, Long> {
    /**
     * 为两个已经存在的节点添加关系
     */
    @Query("match(a),(b) where a.abbreviation = {0} and b.abbreviation = {1} "
            + " create p = (a)-[r: 建议操作 {property:{2}} ] -> (b) return p ")
    PheOpe createRes(String start, String end ,String res);

    /**
     * 查询关系是否存在
     */
    @Query("match p = (n)-[r:建议操作]- (b) where n.abbreviation={0} and b.abbreviation={1} return p")
    List<PheOpe> getRes(String phe, String ope );
}
