package neo4j.repository.test;

import neo4j.model.test.Feature;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;

/**
 * @program: neo4j-demo
 * @description:
 * @author: kane
 * @create: 2020-05-27 10:37
 **/
public interface FeatureRepository extends Neo4jRepository<Feature, Long> {
    /**
     * 根据名字查找
     */
    Feature findByName(String name);

    /**
     * 返回某设备下所有设备属性
     */
    @Query("MATCH p =(n:Device)-[r:DeviceFeature]->(m:Feature) WHERE n.name=$name RETURN m")
    List<Feature> findFeature(String name);

    /**
     * 返回某系统下所有设备
     */
    @Query("MATCH p =(n:Device)-[r:DeviceFeature]->(m:Feature) with collect(distinct m) as features RETURN features")
    List<Feature> findFeature();
}
