package neo4j.repository.test;

import neo4j.relation.test.SystemDevice;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;

/**
 * @program: neo4j-demo
 * @description: 系统->设备关系
 * @author: xuYJ
 * @create: 2021-03-17 15:40
 **/
public interface SystemDeviceRepository extends Neo4jRepository<SystemDevice, Long> {
    /**
     * 返回某系统下所有设备关系
     */
    @Query("MATCH p=(MetroSystem)-[r:SystemDevice]-(Device) RETURN p")
    List<SystemDevice> findSystemDevices();
}
