package neo4j.repository.test;

import neo4j.model.test.MetroSystem;
import neo4j.relation.test.FeatureSystem;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @program: neo4j-demo
 * @description:
 * @author: kane
 * @create: 2020-05-27 10:37
 **/
public interface SystemRepository extends Neo4jRepository<MetroSystem, Long> {

    /**
     * 根据名字查找
     */
    MetroSystem findByName(@Param("name") String name);

    /**
     * 查询系统和设备属性关系，(系统)-[子设备]-(设备)-[属性]-(设备属性)
     */
    @Query("match ((s:MetroSystem)-[:SystemDevice]->(:Device)-[:DeviceFeature]->(t:Feature))with t.name as featureName,collect(distinct s) as metroSystems return featureName,metroSystems")
    List<FeatureSystem> findFeatureBySys();

    /**
     * 查询系统和设备属性关系，(系统)-[子设备]-(设备)-[属性]-(设备属性)
     */
    @Query("match ((s:MetroSystem)-[:SystemDevice]->(:Device)-[:DeviceFeature]->(t:Feature))with t.name as featureName,collect(distinct s) as metroSystems WHERE t.name=$ name return featureName,metroSystems")
    List<FeatureSystem> findFeatureBySys(String name);
}
